#include <iostream>
using namespace std;

int main() {
    int i, maior, menor, soma, teste = 1;
    int temperatura[10000], n, m;

    cin >> n >> m;

    while (n > 0) {
        // lê as temperaturas e calcula o somatório do primeiro intervalo
        soma = 0;
        for (i = 0; i < m; i++) {
            cin >> temperatura[i];
            soma += temperatura[i];
        }

        maior = soma;
        menor = soma;

        // Calcula a soma dos outros intervalos usando a soma do intervalo anterior
        for (i = m; i < n; i++) {
            cin >> temperatura[i];
            soma = soma + temperatura[i] - temperatura[i - m];
            if (soma > maior) {
                maior = soma;
            } else if (soma < menor) {
                menor = soma;
            }
        }
        cout << "Teste " << teste++ << endl;
        cout << menor / m << ' ' << maior / m << endl;

        cin >> n >> m;

        if (n > 0) {
            cout << endl;
        }
    }
    return 0;
}